## isc-dhcp 4.4.3

=== contrib/dlz/modules/filesystem/Makefile ===
prefix = /usr
libdir = $(prefix)/lib/bind9

CFLAGS=-fPIC -g -I../include

all: dlz_filesystem_dynamic.so

dir.o: dir.c
	$(CC) $(CFLAGS) -c dir.c

dlz_filesystem_dynamic.so: dlz_filesystem_dynamic.c dir.o
	$(CC) $(CFLAGS) -shared -o dlz_filesystem_dynamic.so \
		dlz_filesystem_dynamic.c dir.o

clean:
	rm -f dlz_filesystem_dynamic.so *.o

install: dlz_filesystem_dynamic.so
	mkdir -p $(DESTDIR)$(libdir)
	install dlz_filesystem_dynamic.so $(DESTDIR)$(libdir)

=== debian/changelog ===
isc-dhcp (4.4.3-1) unstable; urgency=low

  * New upstream version 4.4.3
  * Refresh fix-manpage-macro.patch
  * Refresh fix-spelling.patch
  * Disable dhclient-script-exit-status.patch. Upstream has fixed the related
    bug (#123)
  * Use bundled BIND libraries instead of libbind-export-dev (Closes: #942502)
  * Bump debhelper-compat to 13
  * Remove Fixed_gcc_10_compilation_issues.patch
  * Fix some install paths to make dh_missing happy
  * Add EOM NEWS for client and relay
  * Fix handling of stale pid file for init.d/dhcpd start. Thanks to H.-Dirk
    Schmitt <dirk@computer42.org> (Closes: #1009209)
  * Bump Standards-Version to 4.6.0.1. No changes required
  * Bump d/watch version to 4.
  * Update d/copyright

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 06 May 2022 17:24:11 +0200

isc-dhcp (4.4.2-P1-1) unstable; urgency=low

  [ Santiago Ruano Rincón ]
  * Fix debian/watch to make it take into account upstream security releases
    (e.g. -P1)
  * Update upstream signing key: replace revoked one by
    2455774D42FDFE6B9C383EB8FE1002BC5970811F
  * Add myself to Uploaders (Closes: #1000662)
  * Remove Files-Excluded from d/copyright
  * New upstream version 4.4.2-P1 (Closes: #975729)
  * Refresh configure.patch, disable-nsupdate.patch, system-bind.patch
  * Remove no longer needed patches: 4.4.2.CVE-2021-25217.patch
    CVE-2017-3144.patch CVE-2018-5732.patch CVE-2018-5733.patch
  * Move Vcs-* to debian/ namespace
  * Use https in d/watch and d/copyright

  [ Bernhard Schmidt ]
  * Add Salsa CI (again)

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 24 Feb 2022 11:24:43 +0100

=== debian/control ===
Source: isc-dhcp
Section: net
Priority: important
Maintainer: Debian ISC DHCP Maintainers <isc-dhcp@packages.debian.org>
Uploaders: Andrew Pollock <apollock@debian.org>, Michael Gilbert <mgilbert@debian.org>, Santiago Ruano Rincón <santiago@debian.org>
Homepage: http://www.isc.org
Build-Depends:
 dpkg-dev (>= 1.13.2),
 debhelper-compat (=13),
 dh-autoreconf,
 groff,
 pkg-config,
 po-debconf,
 libldap2-dev,
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/debian/isc-dhcp.git
Vcs-Browser: https://salsa.debian.org/debian/isc-dhcp

Package: isc-dhcp-server
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 lsb-base,
Recommends:
 isc-dhcp-common,
 policycoreutils,
Breaks:
 isc-dhcp-common (<= 4.3.3-1),
 logcheck-database (<= 1.3.17~)
Replaces:
 isc-dhcp-common (<= 4.3.3-1),
Suggests:
 policykit-1,
 isc-dhcp-server-ldap,
Description: ISC DHCP server for automatic IP address assignment
 This is the Internet Software Consortium's DHCP server.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration.
 .
 This server can handle multiple ethernet interfaces.

Package: isc-dhcp-server-ldap
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-server (= ${binary:Version}),
Conflicts:
 dhcp,
Enhances: isc-dhcp-server
Description: DHCP server that uses LDAP as its backend
 This is the server from the Internet Software Consortium's implementation of
 DHCP.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration.
 .
 This is the DHCP server with LDAP patches applied to it.

Package: isc-dhcp-common
Architecture: any
Depends:
 ${misc:Depends},
 debianutils (>= 2.8.2),
Description: common manpages relevant to all of the isc-dhcp packages
 This package includes manpages that are relevant to the various ISC DHCP
 packages.
 .
 The dhcp-options manpage describes available options for dhcpd and dhclient.
 The dhcp-eval manpage describes evaluation of conditional expressions.

Package: isc-dhcp-dev
Priority: optional
Architecture: any
Section: devel
Depends:
 ${misc:Depends},
 libc6-dev,
Description: API for accessing and modifying the DHCP server and client state
 This package provides support for OMAPI (Object Management Application
 Programming Interface), which is an API for accessing and modifying the DHCP
 server and client state.

Package: isc-dhcp-client
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 iproute2 [linux-any] | freebsd-net-tools [kfreebsd-any],
Recommends:
 isc-dhcp-common,
Suggests:
 resolvconf,
 avahi-autoipd,
 isc-dhcp-client-ddns,
Provides:
 dhcp-client,
Description: DHCP client for automatically obtaining an IP address
 This is the Internet Software Consortium's DHCP client.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration. If your machine
 depends on DHCP (especially likely if it's a workstation on a large
 network, or a laptop, or attached to a cable modem), keep this or
 another DHCP client installed.
 .
 Extra documentation can be found in the package isc-dhcp-common.

Package: isc-dhcp-client-ddns
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 isc-dhcp-client (= ${binary:Version}),
Enhances: isc-dhcp-client
Description: Dynamic DNS (DDNS) enabled DHCP client
 This a Dynamic DNS enabled version of the DHCP client.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration. If your machine
 depends on DHCP (especially likely if it's a workstation on a large
 network, or a laptop, or attached to a cable modem), keep this or
 another DHCP client installed.
 .
 Extra documentation can be found in the package isc-dhcp-common.

Package: isc-dhcp-client-udeb
Priority: important
Architecture: any
Section: debian-installer
Depends:
 ${shlibs:Depends},
Package-Type: udeb
Description: ISC DHCP Client for debian-installer

Package: isc-dhcp-relay
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lsb-base (>= 3.0-6),
 debianutils (>= 2.8.2),
Recommends:
 isc-dhcp-common,
Conflicts:
 dhcp-relay,
Description: ISC DHCP relay daemon
 This is the Internet Software Consortium's DHCP relay.
 .
 Installing this package will make the machine a DHCP relay, which
 requires a reachable DHCP or BOOTP server in order to function.
 .
 Extra documentation can be found in the package isc-dhcp-common.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

LEASE_PATH=/var/lib/dhcp
DHCLIENT_SCRIPT=/sbin/dhclient-script

CFLAGS+=-Wall
CFLAGS+=-DCALL_SCRIPT_ON_ONETRY_FAIL
CFLAGS+=$(shell dpkg-buildflags --get CFLAGS)

CFLAGS+=-D_PATH_DHCPD_CONF='\"/etc/dhcp/dhcpd.conf\"'
CFLAGS+=-D_PATH_DHCPD_DB='\"$(LEASE_PATH)/dhcpd.leases\"'
CFLAGS+=-D_PATH_DHCPD6_DB='\"$(LEASE_PATH)/dhcpd6.leases\"'

CFLAGS+=-D_PATH_DHCLIENT_SCRIPT='\"$(DHCLIENT_SCRIPT)\"'
CFLAGS+=-D_PATH_DHCLIENT_CONF='\"/etc/dhcp/dhclient.conf\"'
CFLAGS+=-D_PATH_DHCLIENT_DB='\"$(LEASE_PATH)/dhclient.leases\"'
CFLAGS+=-D_PATH_DHCLIENT6_DB='\"$(LEASE_PATH)/dhclient6.leases\"'

CONFFLAGS+=--prefix=/usr --enable-log-pid --enable-paranoia

# cross-architecture building
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CONFFLAGS+=--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --with-randomdev=/dev/random
endif

# hurd support
ifeq ($(DEB_HOST_ARCH_OS), hurd)
export DO_LPF=1
CONFFLAGS+=--enable-use-sockets
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:

override_dh_auto_build:
	# ldap-enabled build
	test -f Makefile && $(MAKE) distclean || true
	./configure --with-ldap --with-ldapcrypto CFLAGS="$(CFLAGS) -DNSUPDATE" $(CONFFLAGS)
	$(MAKE)
	mv server/dhcpd dhcpd
	# ddns-disabled build
	test -f Makefile && $(MAKE) distclean || true
	./configure CFLAGS="$(CFLAGS)" $(CONFFLAGS)
	$(MAKE)
	mv client/dhclient dhclient
	# ldap-disabled build
	test -f Makefile && $(MAKE) distclean || true
	./configure CFLAGS="$(CFLAGS) -DNSUPDATE" $(CONFFLAGS)
	$(MAKE)

override_dh_install:
	# rename some upstream files
	cp RELNOTES debian/tmp/changelog
	cp server/dhcpd.conf.example debian/tmp/dhcpd.conf
	cp doc/examples/dhcpd-dhcpv6.conf debian/tmp/dhcpd6.conf
	# install
	dh_install
	# rename scripts
	cp debian/dhclient-script.$(DEB_HOST_ARCH_OS) \
	    debian/isc-dhcp-client$(DHCLIENT_SCRIPT)
	cp debian/dhclient-script.$(DEB_HOST_ARCH_OS).udeb \
	    debian/isc-dhcp-client-udeb$(DHCLIENT_SCRIPT)
	cp debian/rfc3442-classless-routes.$(DEB_HOST_ARCH_OS) \
	    debian/isc-dhcp-client/etc/dhcp/dhclient-exit-hooks.d/rfc3442-classless-routes
	cp contrib/dhcp-lease-list.pl \
	    debian/isc-dhcp-server/usr/sbin/dhcp-lease-list
	# use actual paths rather than undefined variables in man pages
	sed -e 's|ETCDIR|/etc/dhcp|g' \
	    -e 's/RUNDIR/\/var\/run/g' \
	    -e 's/CLIENTBINDIR/\/sbin/g' \
	    -e 's/DBDIR/\/var\/lib\/dhcp/g' \
	    -i debian/tmp/usr/share/man/man*/*

override_dh_installinit:
	dh_installinit -Nisc-dhcp-server
	dh_installinit -pisc-dhcp-server --error-handler=true

## isc-dhcp 4.4.3-P1

=== debian/changelog ===
isc-dhcp (4.4.3-P1-2) unstable; urgency=medium

  [ Gabriel Potter ]
  * Support bound /etc/resolv.conf (Closes: #1034502)

  [ Bastian Germann ]
  * d/copyright Format: Add trailing slash

  [ Santiago Ruano Rincón ]
  * Add NEWS about isc-dhcp-server EOL'ed and its apparmor profile
  * Test debian/tests/client-server

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 17 Apr 2023 14:20:02 +0200

isc-dhcp (4.4.3-P1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport missing IPv6 address lifetime handling. (closes: #1022969)

 -- Bastian Blank <waldi@debian.org>  Mon, 09 Jan 2023 10:15:41 +0100

isc-dhcp (4.4.3-P1-1) unstable; urgency=low

  * New upstream version 4.4.3-P1
  * Remove no longer needed CVE-2022-2928.patch and CVE-2022-2929.patch

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 13 Oct 2022 14:12:54 +0200

isc-dhcp (4.4.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * An option refcount overflow exists in dhcpd (CVE-2022-2928)
    (Closes: #1021320)
  * DHCP memory leak (CVE-2022-2929) (Closes: #1021320)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 06 Oct 2022 22:20:47 +0200

isc-dhcp (4.4.3-2) unstable; urgency=medium

  * Explicitly link against -latomic to fix FTBFS on mipsel, m68k, powerpc and
    sh4

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 26 May 2022 21:31:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  dpkg-dev (>= 1.13.2),
  debhelper-compat (=13),
+ dh-apparmor,
  dh-autoreconf,
  groff,
  pkg-config,
@@ -35,6 +36,7 @@
 Suggests:
  policykit-1,
  isc-dhcp-server-ldap,
+ ieee-data
 Description: ISC DHCP server for automatic IP address assignment
  This is the Internet Software Consortium's DHCP server.
  .
@@ -118,6 +120,14 @@
  another DHCP client installed.
  .
  Extra documentation can be found in the package isc-dhcp-common.
+ .
+ ISC has decided to stop maintaining the client and relay parts of isc-dhcp,
+ and they will be removed after the 4.4.3 release, keeping only the server
+ component. Please, consider using an alternative for isc-dhcp-client
+ (dhclient).
+ .
+ More information can be found in the ISC official announcement:
+ https://www.isc.org/blogs/dhcp-client-relay-eom/
 
 Package: isc-dhcp-client-ddns
 Priority: optional
@@ -168,3 +178,11 @@
  requires a reachable DHCP or BOOTP server in order to function.
  .
  Extra documentation can be found in the package isc-dhcp-common.
+ .
+ ISC has decided to stop maintaining the client and relay parts of isc-dhcp,
+ and they will be removed after the 4.4.3 release, keeping only the server
+ component. Please, consider using an alternative for isc-dhcp-relay
+ (dhcrelay).
+ .
+ More information can be found in the ISC official announcement:
+ https://www.isc.org/blogs/dhcp-client-relay-eom/

=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,11 @@
 
 CONFFLAGS+=--prefix=/usr --enable-log-pid --enable-paranoia
 
+include /usr/share/dpkg/buildtools.mk
 # cross-architecture building
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 CONFFLAGS+=--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --with-randomdev=/dev/random
+export BUILD_CC=$(CC_FOR_BUILD)
 endif
 
 # hurd support
@@ -39,22 +41,34 @@
 %:
 	dh $@ --parallel --with autoreconf
 
+# Ensure that the bind config.guess/config.sub are unpacked first,
+# otherwise they won't be updated and isc-dhcp will FTBFS on new arches
+# Thanks to Paul Wise
+# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1010807#30
+# Closes: #1010807
+execute_before_dh_update_autotools_config:
+	cd bind && tar xf bind.tar.gz
+
+# Ensure that the bind build system gets rebuilt too
+override_dh_autoreconf:
+	dh_autoreconf debian/autogen.sh
+
 override_dh_auto_configure:
 
 override_dh_auto_build:
 	# ldap-enabled build
 	test -f Makefile && $(MAKE) distclean || true
-	./configure --with-ldap --with-ldapcrypto CFLAGS="$(CFLAGS) -DNSUPDATE" $(CONFFLAGS)
+	./configure --with-ldap --with-ldapcrypto CFLAGS="$(CFLAGS) -DNSUPDATE" $(CONFFLAGS) LIBS="$(LIBS) -latomic"
 	$(MAKE)
 	mv server/dhcpd dhcpd
 	# ddns-disabled build
 	test -f Makefile && $(MAKE) distclean || true
-	./configure CFLAGS="$(CFLAGS)" $(CONFFLAGS)
+	./configure CFLAGS="$(CFLAGS)" $(CONFFLAGS) LIBS="$(LIBS) -latomic"
 	$(MAKE)
 	mv client/dhclient dhclient
 	# ldap-disabled build
 	test -f Makefile && $(MAKE) distclean || true
-	./configure CFLAGS="$(CFLAGS) -DNSUPDATE" $(CONFFLAGS)
+	./configure CFLAGS="$(CFLAGS) -DNSUPDATE" $(CONFFLAGS) LIBS="$(LIBS) -latomic"
 	$(MAKE)
 
 override_dh_install:
@@ -79,6 +93,8 @@
 	    -e 's/CLIENTBINDIR/\/sbin/g' \
 	    -e 's/DBDIR/\/var\/lib\/dhcp/g' \
 	    -i debian/tmp/usr/share/man/man*/*
+	dh_apparmor -pisc-dhcp-client --profile-name=sbin.dhclient
+	dh_apparmor -pisc-dhcp-server --profile-name=usr.sbin.dhcpd
 
 override_dh_installinit:
 	dh_installinit -Nisc-dhcp-server

=== debian/tests/control ===
Tests: client-server
Restrictions: allow-stderr, needs-root

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.sha512.asc/" \
https://ftp.isc.org/isc/dhcp/(\d.\d.\d|\d.\d.\d-.*)/dhcp-(.*|.*-.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## isc-dhcp 4.4.3-P1-4ubuntu2trisquel2

=== debian/changelog ===
isc-dhcp (4.4.3-P1-4ubuntu2trisquel2) ecne; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 05:24:18 +0000

isc-dhcp (4.4.3-P1-4ubuntu2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 12:43:04 +0200

isc-dhcp (4.4.3-P1-4ubuntu1) noble; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Ubuntu patches:
      + Give-an-example-for-subnet-mask-in-dhcpd.conf.patch
      + dhclient-fix-backoff
      + revert-next-server
      + multi-ip-addr-per-if
      + dhclient-safer-timeout
      + onetry_retry_after_initial_success
      + Add InfiniBand support:
        - dhcp-lpf-ib.patch
        - dhcp-improved-xid.patch
        - dhcp-gpxe-cid.patch
        - dhcp-improved-xid-correct-byte-order.patch
      + dhcp-4.2.4-dhclient-options-changed.patch
      + ubuntu-dhcpd-conf.patch
      + dhclient-write-pidfile-earlier.patch: Write pidfile before informing
        parent of success.
      + bind-outdated-config.guess.patch: run autoreconf in the bind directory.
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Add enforcing AppArmor profile for DHCP client and server
    - Increase the timeout to 300 seconds for dhclient.conf (following the
      default added by dhclient-safer-timeout).
    - Separate default file for isc-dhcp-relay6.
    - Create user/group dhcpd and make isc-dhcp-server depend on adduser.
    - Create /etc/dhcp/ddns-keys/ for DDNS updates.
    - Sanitize environment in dhclient-script.linux.
    - Add systemd units for -server and -relay.
      + If /etc/ltsp/dhcpd.conf exists, use that instead of
        /etc/dhcp/dhcpd.conf.
    - isc-dhcp-server: Suggest policycoreutils instead of recommending it.
    - ipv6: wait for duplicate address detection to finish. LP #1633479
    - Ship dhcp exit hook to push DNS information to resolved. LP #1889068
    - Stop building the udeb on request.
    - debian/rules: Build with -O2 instead on -O3 on ppc64el
    - debian/rules: build with -fno-strict-aliasing.
    - Disable make_resolv_conf() if systemd-resolved is in use.
    - debian/control: add Pre-Depends: ${misc:Pre-Depends} for
      init-system-helpers.
    - debian/apparmor/sbin.dhclient: Allow disabling dhclient hooks.
    - Do not build with DH_VERBOSE=1
  * Dropped changes, included in Debian:
    - Ship keama, the KEA Migration Assistant in a new isc-dhcp-keama binary
      package. (LP: #2020086)
  * Refresh patches (using gbp pq)
  * debian/control: Drop libcap-dev build dependency (no change in diffoscope).
  * Use /run/dhcp-server6 for isc-dhcp-server6 service.
    Thanks to Jason Penney (LP: #1543799)
  * debian/rfc3442-classless-routes.linux: Use configured metric.
    Thanks to Tom Carroll (LP: #1664352)
  * autopkgtest: Use setup logic from isc-dhcp-server.service

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 27 Nov 2023 14:04:49 +0100

isc-dhcp (4.4.3-P1-4) unstable; urgency=low

  [ Athos Ribeiro ]
  * d/p/adjust-keama-tests.patch: do not rely on endianess (Closes: #1054077)

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 20 Oct 2023 09:16:37 -0300

isc-dhcp (4.4.3-P1-3) unstable; urgency=low

  [ Athos Ribeiro ]
  * Ship keama in a new isc-dhcp-keama binary package (Closes: #1036277)
  * Add DEP8 tests for keama
  * d/p/adjust-keama-tests.patch: adjust keama tests
  * d/rules: make keama tests fail on error messages

  [ Santiago Ruano Rincón ]
  * Make dhclient-script exits with error when it is not able to write in the
    temporary file. Patch by Johannes Weißl <jargon@molb.org>
    (Closes: #982894)
  * Import debian/patches/0013-DHCPv6-over-PPP-support-626514.patch
    (Closes: #1015809)
  * Enable ARM builds in salsa-ci.yml
  * Bump Standards-Version to 4.6.2. No changes needed
  * Remove obsolete dependencies on lsb-base and policykit-1. Replace with
    polkitd
  * Fix assignment of dpkg-architecture variables in d/rules
  * Remove the --parallel argument from the call to dh on d/rules

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 15 Sep 2023 21:50:04 +0530

isc-dhcp (4.4.3-P1-2ubuntu5) mantic; urgency=medium

  * Remove initramfs-tools integration from isc-dhcp-client.
    initramfs-tools >= 0.142ubuntu9 uses dhcpcd instead of dhclient.
    (LP: #2024164)
  * autopkgtest: Ensure that /var/lib/dhcp/dhcpd.leases is present

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 05 Sep 2023 12:55:20 +0200

isc-dhcp (4.4.3-P1-2ubuntu4) mantic; urgency=medium

  * Restore execution bits of files in debian/ from previous upload
  * Do not build with DH_VERBOSE=1

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 16 Jun 2023 12:44:01 +0200

isc-dhcp (4.4.3-P1-2ubuntu3) mantic; urgency=medium

  * debian/initramfs-tools/lib/etc/dhcp/dhclient-enter-hooks.d/config:
    - Do not merge DNS domain into DOMAINSEARCH to match ipconfig's behavior
    - add filename and DHCPLEASETIME variables
    - match order of entries with ipconfig's order

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 14 Jun 2023 12:59:49 +0200

isc-dhcp (4.4.3-P1-2ubuntu2) mantic; urgency=medium

  * Ship keama, the KEA Migration Assistant in a new isc-dhcp-keama binary
    package. (LP: #2020086)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 18 May 2023 21:30:57 -0300

isc-dhcp (4.4.3-P1-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/control: Add libcap-dev build dependency.
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Add systemd units for -server and -relay.
    - If /etc/ltsp/dhcpd.conf exists, use that instead of
      /etc/dhcp/dhcpd.conf.
    - Create user/group dhcpd and make isc-dhcp-server depend on adduser.
    - isc-dhcp-server: Suggest policycoreutils instead of recommending it.


=== debian/control ===
--- 
+++ 
@@ -1,41 +1,45 @@
 Source: isc-dhcp
 Section: net
 Priority: important
-Maintainer: Debian ISC DHCP Maintainers <isc-dhcp@packages.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian ISC DHCP Maintainers <isc-dhcp@packages.debian.org>
 Uploaders: Andrew Pollock <apollock@debian.org>, Michael Gilbert <mgilbert@debian.org>, Santiago Ruano Rincón <santiago@debian.org>
 Homepage: http://www.isc.org
 Build-Depends:
  dpkg-dev (>= 1.13.2),
  debhelper-compat (=13),
  dh-apparmor,
+ dh-apport,
  dh-autoreconf,
  groff,
  pkg-config,
  po-debconf,
  libldap2-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/isc-dhcp.git
 Vcs-Browser: https://salsa.debian.org/debian/isc-dhcp
 
 Package: isc-dhcp-server
 Priority: optional
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- debianutils (>= 2.8.2),
- lsb-base,
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ adduser,
+ debianutils (>= 2.8.2),
 Recommends:
  isc-dhcp-common,
- policycoreutils,
 Breaks:
  isc-dhcp-common (<= 4.3.3-1),
  logcheck-database (<= 1.3.17~)
 Replaces:
  isc-dhcp-common (<= 4.3.3-1),
 Suggests:
- policykit-1,
+ polkitd,
  isc-dhcp-server-ldap,
+ policycoreutils,
  ieee-data
 Description: ISC DHCP server for automatic IP address assignment
  This is the Internet Software Consortium's DHCP server.
@@ -154,6 +158,7 @@
 Priority: important
 Architecture: any
 Section: debian-installer
+Build-Profiles: <!noudeb>
 Depends:
  ${shlibs:Depends},
 Package-Type: udeb
@@ -162,10 +167,11 @@
 Package: isc-dhcp-relay
 Priority: optional
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- lsb-base (>= 3.0-6),
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
  debianutils (>= 2.8.2),
 Recommends:
  isc-dhcp-common,
@@ -186,3 +192,15 @@
  .
  More information can be found in the ISC official announcement:
  https://www.isc.org/blogs/dhcp-client-relay-eom/
+
+Package: isc-dhcp-keama
+Priority: optional
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: KEA Migration Assistant
+ This is an ISC DHCP server to ISC KEA Migration Assistant.
+ .
+ The KEA Migration Assistant (aka keama) is an experimental tool
+ which helps to translate ISC DHCP configurations to Kea.

## isc-dhcp 4.4.3.1-P1

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 LEASE_PATH=/var/lib/dhcp
 DHCLIENT_SCRIPT=/sbin/dhclient-script
@@ -39,7 +39,10 @@
 endif
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
+
+override_dh_clean:
+	dh_clean $@ -Xkeama/tests/samples/*
 
 # Ensure that the bind config.guess/config.sub are unpacked first,
 # otherwise they won't be updated and isc-dhcp will FTBFS on new arches
@@ -70,6 +73,21 @@
 	test -f Makefile && $(MAKE) distclean || true
 	./configure CFLAGS="$(CFLAGS) -DNSUPDATE" $(CONFFLAGS) LIBS="$(LIBS) -latomic"
 	$(MAKE)
+	# keama build
+	$(MAKE) -C keama
+
+override_dh_auto_test:
+	/bin/sh keama/tests/runall.sh 2> /tmp/keama-test-errors
+	cat /tmp/keama-test-errors
+	test -f /tmp/keama-test-errors
+	test ! -s /tmp/keama-test-errors
+	rm -f /tmp/keama-test-errors
+	dh_auto_test $@
+
+override_dh_auto_install:
+	dh_auto_install
+	# install keama
+	dh_auto_install -- -C keama
 
 override_dh_install:
 	# rename some upstream files
